Bug 4588 - gmail oauth2 not working
Summary: gmail oauth2 not working
Status: RESOLVED INVALID
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: GIT
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2022-04-14 10:41 CEST by jnbrains
Modified: 2022-05-11 10:01 CEST (History)
1 user (show)

See Also:


Attachments

Description jnbrains 2022-04-14 10:41:13 CEST
Google OAuth out-of-band (oob) flow is now deprecated (Feb 28, 2022).
https://developers.googleblog.com/2022/02/making-oauth-flows-safer.html#disallowed-oob
Comment 1 Dustin 2022-04-14 11:01:43 CEST
jnbrains, FYI, the developers are aware of this issue and are working on a fix. See a recent post by David Fletcher on the Claws Mail users list for a workaround via compiling from source. Otherwise, putting the project in 'Testing' status in the Google Cloud Platform settings still seems to work, although you need to get a new authorization code every 7 days.
Comment 2 jnbrains 2022-04-14 11:28:53 CEST
Thanks Dustin.

I did a troubleshooting session with Google support,
and realized the same temporary workaround. Not very
convenient, yet still accessible for a week at a time.

I will check and test a build from source as soon as I have a bit of time.
Comment 3 jnbrains 2022-05-11 10:01:24 CEST
In what way is this resolved? Oauth2 with google still doesn't work properly!
You can keep it closed if you like, I've already switched to another email client.

Note You need to log in before you can comment on or make changes to this bug.